#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 hideColor = vec4(252.0 / 255.0, 84.0 / 255.0, 84.0 / 255.0, 1.0);
    vec4 hideModul = vec4(62.0 / 255.0, 62.0 / 255.0, 62.0 / 255.0, 1.0);

    vec4 color = texture(Sampler0, texCoord0) * vertexColor * ColorModulator;
    if (color.a < 0.001) {
        discard;
    }
    else if(color.r > (hideColor.r - 0.005) && color.r < (hideColor.r + 0.005) && color.g > (hideColor.g - 0.005) && color.g < (hideColor.g + 0.005) && color.b > (hideColor.b - 0.005) && color.b < (hideColor.b + 0.005)){
        discard;
    }
    else if(vertexColor.r > (hideModul.r - 0.005) && vertexColor.r < (hideModul.r + 0.005) && vertexColor.g > (hideModul.g - 0.005) && vertexColor.g < (hideModul.g + 0.005) && vertexColor.b > (hideModul.b - 0.005) && vertexColor.b < (hideModul.b + 0.005)){
        discard;
    }
    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}
